﻿/* message：not data*/
.notdata {
    text-align: center;
    margin-top: 8rem;
    color: #595757;
    letter-spacing: 0.2em;
}

.msg {
    text-align: left;
    letter-spacing: 0.1rem;
    color: #e61957;
    font-weight: bold;
}

.msgSuccess {
    text-align: left;
    letter-spacing: 0.1rem;
    color: #0b5f0a;
    font-weight: bold;
}

.msgExplain {
    text-align: left;
    letter-spacing: 0.1rem;
    color: #c91b26;
    font-weight: bold;
}

.msgRequired {
    text-align: left;
    color: #B00000;
    font-weight: bold;
}

/* matter subtitle */
.spanTitle {
    background-color: #FFE4C4;
    color: #704214;
    text-align: center;
    border: 0.15rem solid #FFB366;
    padding: 0.3rem 0.1rem;
    word-break: keep-all;
    white-space: nowrap;
    font-weight: bold;
}

/* Table */
.TableStyle {
    border-spacing: 0 0;
    border-collapse: collapse;
    margin: 0 auto;
    text-align: center;
    width: 95%;
}

    .TableStyle th {
        background: linear-gradient(to top, #dbdbdb, #ebebeb);
        background-color: #dbdbdb;
        border: 1px solid #8F8073;
        padding: 0.3rem;
        color: #000000;
    }

    .TableStyle td {
        border: 1px solid #8F8073;
        padding: 0.5rem;
    }

        .TableStyle td span {
            word-break: keep-all;
            white-space: nowrap;
        }

@media screen and (max-width:841px) {
    /* message：not data*/
    .notdata {
        margin: 5rem auto;
    }

    /* Table RWD */
    .TableRWDStyle thead {
        display: none;
    }

    .TableRWDStyle tbody tr {
        display: block;
        border-top: 1px solid #8F8073;
        border-left: 1px solid #8F8073;
        border-right: 1px solid #8F8073;
        margin-bottom: 1rem;
    }

    .TableRWDStyle tbody td {
        display: block;
        padding: 0.3rem 0.5rem;
        border: none;
        border-bottom: 1px solid #8F8073;
        text-align: left;
    }

        .TableRWDStyle tbody td.th {
            background: linear-gradient(to top, #dbdbdb, #ebebeb);
            background-color: #dbdbdb;
            font-weight: bold;
        }

        .TableRWDStyle tbody td:before {
            content: attr(data-title)"：";
            font-weight: bold;
            display: inline-block;
            color: #1f1f1f;
            padding-bottom: 0.1rem;
            padding-top: 0.1rem;
        }

        .TableRWDStyle tbody td.none {
            display: none;
        }

        .TableRWDStyle tbody td > div {
            display: inline-block;
            vertical-align: text-top;
        }
}


/* input */
input[type=button], input[type=submit] {
    -webkit-appearance: none; /* Safari 和 Chrome，常用於iOS下移除內建樣式 */
    -moz-appearance: none; /* FireFox */
    height: 1.9rem;
    vertical-align: middle;
    background: #dbdbdb;
    border: 1px #9D9D9D solid;
    font-weight: bold;
    font-size: 1rem;
    letter-spacing: 0.1rem;
}

input[type=text],
input[type=password] {
    height: 1.5rem;
    font-size: 1rem;
    vertical-align: middle;
}

input[type=file] {
    font-size: 1rem;
    height: 1.3rem;
    vertical-align: middle;
}

input[type=checkbox] {
    zoom: 1.5;
    vertical-align: middle;
}

select, option {
    font-size: 1rem;
    height: 1.9rem;
    vertical-align: middle;
}


/*列表頁面的標題和時間*/
.Ptitle {
    text-align: left;
    list-style: none;
    margin-left: auto;
    margin-right: auto;
    padding-bottom: 0px;
    word-break: break-all;
}

    .Ptitle li:first-child {
        margin-top: 0;
    }

    .Ptitle li {
        width: 95%;
        margin-left: auto;
        margin-right: auto;
        margin-top: 0.5rem;
        border-bottom: 1px dashed #898989;
        padding: 0.5rem;
        word-break: break-all;
    }

    /*日期樣式*/
    .Ptitle .Ptitledate {
        background-color: #00713E;
        color: #FFFFFF;
        display: inline-block;
        padding: 0.3rem 1rem;
        border-radius: 10px;
        vertical-align: top;
        text-align: center;
        font-size: 1rem;
        margin-right: 2rem;
        margin-bottom: 0.5rem;
    }

    /*標題*/
    .Ptitle .Ptitletxt {
        width: 70%;
        display: inline-block;
        text-decoration: none;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 1;
        overflow: hidden;
        vertical-align: middle;
        color: #3E3A39;
        font-size: 1.2rem;
        font-weight: bold;
        overflow: hidden; /*--設定超出的內容隱藏, IE, FireFox通用--*/
        text-overflow: ellipsis; /*--(IE專用)在內容超出時,在後方補上逗號--*/
        white-space: nowrap; /*-- 設定內容強制顯示一行,直到內容結束或<br>--*/
        padding: 0 0 0.1rem;
        line-height: 2rem;
    }

        .Ptitle .Ptitletxt:hover {
            color: #00713E;
        }

    .Ptitle a:focus {
        color: #BF3B83;
        outline: 2px #00713E dashed;
    }

/*置頂重要*/
.impt {
    background-color: #D9006C;
    color: #ffffff;
    padding: 0 0.2rem;
    border-radius: 10px;
    margin-right: 0.5rem;
    display: inline-block;
    line-height: 2rem;
    letter-spacing: 0.1rem;
}

/*前往按鈕*/
.pmiddle .button {
    width: 50px;
    height: 30px;
    background-color: #FFFFFF;
    border-color: #3E3A39;
    vertical-align: middle;
    border-radius: 8px;
    font-size: 1rem;
    font-weight: bold;
    display: inline-block;
    text-align: center;
}

    .pmiddle .button:hover {
        background-color: #FCECF3;
    }

/*頁碼*/
.page {
    text-align: center;
    margin-top: 15px;
    margin-bottom: 10px;
    text-shadow: none;
}

    .page a {
        text-decoration: none;
        display: inline-block;
        border: 1px solid #323322;
        border-radius: 8px;
        padding: 5px 10px;
        margin: 1px;
        background-color: #FFFFFF;
        color: #323332;
        vertical-align: middle;
        text-align: center;
        letter-spacing: normal;
    }

        .page a:hover {
            background-color: #DDE6CF;
            color: #323332;
        }

/*第一頁*/
.one {
    display: inline-block;
    min-width: 5rem;
}

/*數字頁碼*/
.pmiddle {
    display: inline-block;
    width: 10rem;
    text-align: center;
}

    .pmiddle .DDList {
        font-size: large;
        height: 31px;
        vertical-align: middle;
        margin-right: 0.2rem;
    }

/*最終頁*/
.end {
    display: inline-block;
    min-width: 5rem;
}

/*服務公告&文件下載內文樣式*/
.Service {
    overflow: hidden;
}

    .Service > .SVtitle {
        color: #C5381D;
        display: block;
        font-size: 1.5rem;
        font-weight: bolder;
        line-height: 2rem;
        margin: 0.5rem 0 1.2rem 0.5rem;
    }

    .Service .SVContent {
        margin: auto;
        line-height: 2rem;
        margin-top: 0.5rem;
        padding: 1rem;
    }

.date {
    margin: auto;
    margin-top: 0.5rem;
    color: #403f3f;
    font-size: 1rem;
}

    .date .publish, .date .update {
        float: right;
    }

.ps { /*附件區塊*/
    margin: auto;
}

    .ps > div > span {
        font-size: 1.1rem;
        font-weight: bolder;
        letter-spacing: 0.1rem;
        border-bottom: double;
        padding: 0.2rem;
        margin-left: 0.5rem;
    }

    .ps > ul {
        list-style-position: inside;
        margin-left: 1.5rem;
    }

        .ps > ul > li {
            list-style-position: inside;
            margin-top: 0.5rem;
        }

    .ps > ol > li > a {
        /*color: #C5381D;*/
        vertical-align: middle;
        text-decoration: none;
    }

        .ps > ol > li > a:hover {
            text-decoration: underline;
        }

    .ps > ul > li > img {
        vertical-align: middle;
    }

/*活動照片*/
.tList_Title {
    color: #C5381D;
    display: block;
    font-size: 1.5rem;
    font-weight: bolder;
    line-height: 2rem;
    margin: 0.5rem 0 0 0.5rem;
}

.tList_Content {
    width: 98%;
    margin: 0.5rem auto;
}

.tList_Date {
    margin-top: 0.5rem;
    text-align: right;
    font-size: 0.9rem;
    color: #565657;
    padding-bottom: 0.2rem;
}

/*附件樣式*/
.Append {
    margin: 0 auto;
    letter-spacing: 0.1em;
    width: 98%;
    padding: 0.2rem;
    border-radius: 10px;
}

    .Append li {
        margin-bottom: 0.5rem;
        padding: 0.2rem;
    }

        .Append li img {
            vertical-align: middle;
        }


.ControlMenu {
    margin-top: 2rem;
    margin-bottom: 2rem;
    text-align: center;
}

    /*底部控制項*/
    .ControlMenu a {
        display: inline-block;
        /*無底線*/
        text-decoration: none;
        /*邊線*/
        border: 1px solid #dbdbdb;
        /*背景顏色*/
        background-color: #ffffff;
        /*內距*/
        padding: 10px;
        /*字距*/
        letter-spacing: 0.2em;
        /*字顏色*/
        color: #000000;
        margin: 0.3rem;
    }

        .ControlMenu a:hover {
            background-color: #dbdbdb;
            color: #000000;
        }
